List Counters - m3ter Documentation

List Counters

cURL

curl --request GET \
  --url https://api.m3ter.com/organizations/{orgId}/counters \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.m3ter.com/organizations/{orgId}/counters"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.m3ter.com/organizations/{orgId}/counters', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));



Responses

{
  "data": [
    {
      "id": "<string>",
      "version": 123,
      "dtCreated": "2023-11-07T05:31:56Z",
      "dtLastModified": "2023-11-07T05:31:56Z",
      "createdBy": "<string>",
      "lastModifiedBy": "<string>",
      "code": "<string>",
      "productId": "<string>",
      "name": "<string>",
      "unit": "<string>"
    }
  ],
  "nextToken": "<string>"
}
{
  "message": "<string>"
}
{
  "message": "<string>"
}

Authorizations

Authorization

m3ter supports machine to machine authentication using the clientCredentials OAuth2 flow. The authorizationCode flow controls access for human users via the m3ter Console application.

Path Parameters

Query Parameters

Response